ChartDirector Ver 5.0 (PHP Edition)

XYChart.addBarLayer3

Usage

addBarLayer3(data [, colors [, names [, depth ]]])

Description

Adds a multi-color bar layer to the XYChart, and specify the data set to use for drawing the bars.
A multi-color bar layer is a bar layer in which each bar has a different color. In a normal bar layer, each data set has a different color, but the bars in the same data set have the same color.

Arguments

Argument | Default | Description
--- | --- | ---
data | (Mandatory) | An array of numbers representing the data set.
colors | [Empty_Array] | An array of colors to draw the bars. An empty array means the colors are automatically selected from the palette.
names | [Empty_Array] | An array of text strings as the names of the bars. The names will be used in the legend box, if one is available. An empty array means that bars have no name.
depth | 0 | The 3D depth of the bar layer.

Return Value

A BarLayer object representing the bar layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.